# comment out when not pre-release
#define prel	RC1

# release to bump
%define rel	2

%if 0%{?prel:1}
%define lpre	%(echo %{prel}|tr A-Z a-z)
%endif

%define realname opengfx

Name:		openttd-%{realname}
Version:	0.5.4
Release:	%mkrel %{?prel:0.%lpre.}%{rel}
Summary:	OpenGFX graphics replacement set for OpenTTD

Group:		Games/Strategy
License:	GPLv2
URL:		http://dev.openttdcoop.org/projects/opengfx
Source0:	http://bundles.openttdcoop.org/opengfx/releases/%{version}%{?prel:-%prel}/opengfx-%{version}%{?prel:-%prel}-source.tar.xz
BuildArch:	noarch
BuildRequires:	grfcodec
BuildRequires:	nml >= 0.4.1
BuildRequires:	gimp
BuildRequires:	dos2unix

%description
OpenGFX is an open source graphics base set for OpenTTD which can completely
replace the TTD base set.

%prep
%setup -q -n %{realname}-%{version}%{?prel:-%prel}-source
%autopatch -p1

%build
make UNIX2DOS_FLAGS="-q"

%install
mkdir -p %{buildroot}%{_gamesdatadir}/openttd/data/%{realname}
make install \
	INSTALL_DIR=%{buildroot}%{_gamesdatadir}/openttd/data/%{realname} \
	DOCDIR=%{buildroot}%{_gamesdatadir}/openttd/data/%{realname}

%if 0
%check
%make check
%endif

%files
%{_gamesdatadir}/openttd/data/%{realname}/


%changelog
* Wed May 11 2016 akien <akien> 0.5.4-2.mga6
+ Revision: 1012400
- Version 0.5.4

* Fri Feb 19 2016 umeabot <umeabot> 0.5.3-2.mga6
+ Revision: 969936
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 wally <wally> 0.5.3-1.mga6
+ Revision: 883352
- new version 0.5.3

* Fri Apr 24 2015 wally <wally> 0.5.2-1.mga5
+ Revision: 820691
- new version 0.5.2

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-3.mga5
+ Revision: 749328
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-2.mga5
+ Revision: 683253
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 wally <wally> 0.5.1-1.mga5
+ Revision: 638905
- new version 0.5.1

* Fri Apr 04 2014 wally <wally> 0.5.0-1.mga5
+ Revision: 611719
- new version 0.5.0

* Sat Oct 19 2013 umeabot <umeabot> 0.4.7-3.mga4
+ Revision: 532244
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 wally <wally> 0.4.7-2.mga4
+ Revision: 467606
- rebuild with python-pillow enabled nml

* Sat Jun 15 2013 wally <wally> 0.4.7-1.mga4
+ Revision: 443305
- new version 0.4.7
- don't re-generate graphics (slow and unneeded)

* Sun Jan 13 2013 wally <wally> 0.4.6.1-1.mga3
+ Revision: 368582
- new version 0.4.6.1

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 dams <dams> 0.4.4-4.mga3
+ Revision: 257716
- clean specfile

* Mon Apr 23 2012 wally <wally> 0.4.4-3.mga2
+ Revision: 233009
- own unowned dir
- simplify previous commit by cleaning .spec

* Sun Apr 22 2012 zezinho <zezinho> 0.4.4-2.mga2
+ Revision: 232649
- move some doc files to activate ingame options menu buttons
- move data files to a named directory to follow upstream default

* Thu Apr 19 2012 wally <wally> 0.4.4-1.mga2
+ Revision: 231856
- new version 0.4.4

* Mon Feb 27 2012 zezinho <zezinho> 0.4.3-1.mga2
+ Revision: 215579
- this version requires at least nml-0.2.3 to build now
- new version

* Sun Feb 12 2012 wally <wally> 0.4.2-1.mga2
+ Revision: 208210
- new version 0.4.2

* Sat Dec 31 2011 wally <wally> 0.4.1-1.mga2
+ Revision: 189262
- new version 0.4.1
- BR nml and gimp

* Sat Oct 08 2011 wally <wally> 0.3.7-1.mga2
+ Revision: 152992
- new version 0.3.7

* Thu Sep 22 2011 wally <wally> 0.3.6-1.mga2
+ Revision: 146769
- new version 0.3.6
- new version 0.3.5

* Tue Jun 07 2011 wally <wally> 0.3.4-1.mga2
+ Revision: 101488
- new version 0.3.4

* Sat Apr 02 2011 wally <wally> 0.3.3-1.mga1
+ Revision: 79765
- new version 0.3.3
- drop buildroot definition

* Sun Jan 09 2011 wally <wally> 0.3.2-2.mga1
+ Revision: 1689
- remove old conflicts
- imported package openttd-opengfx

